# the first stage of our build will extract the layers
FROM adoptopenjdk:14-jre-hotspot as builder
WORKDIR application
COPY target/TrackHandler-1.0-SNAPSHOT.jar TrackHandler-1.0-SNAPSHOT.jar
RUN java -Djarmode=layertools -jar TrackHandler-1.0-SNAPSHOT.jar extract

# the second stage of our build will copy the extracted layers
FROM adoptopenjdk:14-jre-hotspot
EXPOSE 2977
WORKDIR application
COPY --from=builder application/dependencies/ ./
COPY --from=builder application/spring-boot-loader/ ./
COPY --from=builder application/snapshot-dependencies/ ./
COPY --from=builder application/application/ ./
ENTRYPOINT ["java", "org.springframework.boot.loader.JarLauncher"]
